﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.SqlClient;
using System.Data;

namespace DataTableTest
{
    class Program
    {
        static void Main(string[] args)
        {
            //接続文字列
            string constr = @"Data Source=(LocalDB)\v11.0;AttachDbFilename=C:\Work\Books.mdf;Integrated Security=True;Connect Timeout=30";

            //SqlConnectionオブジェクトを生成
            SqlConnection con = new SqlConnection(constr);

            //Usersテーブルのデータを取得するSQL文を作成
            string sql = "SELECT * FROM Users;";

            //DataAdapterオブジェクトを生成
            SqlDataAdapter da = new SqlDataAdapter(sql, con);

            //DataTableオブジェクトを生成
            DataTable dt = new DataTable();

            //DataTableとデータベースに同期させる
            da.Fill(dt);

            //フィルタリングするデータを入力する
            Console.Write("表示したい名前：");
            string name = Console.ReadLine();

            //フィルタリングする
            DataRow[] drlist = dt.Select("name = '" + name + "'");

            //検索結果を表示する
            Console.WriteLine("検索結果");
            if (drlist.Length == 0)
            {
                Console.WriteLine("見つかりませんでした。");
            }
            else
            {
                Console.WriteLine("Id : UserName : Password : Name");
                foreach (DataRow dr in drlist)
                {
                    Console.WriteLine("{0} : {1} : {2} : {3}", dr["Id"], dr["UserName"], dr["Password"], dr["Name"]);
                }
            }            
            Console.ReadLine();
        }
    }
}
